`timescale 1ns / 1ps
`include "parameter.vh"
module tb();
localparam DOUT_WIDTH = DIN_WIDTH + 3;
localparam CLK_PERIOD = 50.0;
//**********************************************************************
// --- Test Input/Output signal
//**********************************************************************	
reg	clk;
reg rstn;
wire [DOUT_WIDTH-1:0] dout;

//**********************************************************************
// --- Reset 
//**********************************************************************
initial begin
	rstn = 1'b1;
	#(1.5*CLK_PERIOD) rstn = 1'b0;
	#(CLK_PERIOD) rstn = 1'b1;
end
//**********************************************************************	
// --- Clock Generate
//**********************************************************************
initial begin
	clk = 1'b1;
	#(1.5*CLK_PERIOD) 
	forever #(CLK_PERIOD/2.0) clk = ~clk;
end
//**********************************************************************	
// --- Initial Block
//**********************************************************************
top top_tb(
    .clk    	  (   clk            ),
    .rstn   	  (   rstn    	     ),
    .din    	  (                  ),
    .in_valid     (              	 ),
    .gainwe       (                  ),
    .gainset      (          	     ),
    .gain   	  (         	     ),	
    .in_ready     (         	     ),
	.out_valid    (         	     ),	
    .dout  	      (   dout           )
);

endmodule